complexType "SinglePayment"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustablePaymentDate?, fixedAmount
</...>

Content Model Elements (2):

  adjustablePaymentDate, | fixedAmount (in singlePayment)

All Direct / Indirect Based Elements (1):

  singlePayment

Known Usage Locations

- As direct type of elements (1):
  singlePayment

Type Definition Detail

Type Derivation Tree PaymentBase (extension) SinglePayment

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="SinglePayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="adjustablePaymentDate" type="xsd:date"/> <!--View Generation: SKIPPED adjustedPaymentDate - Standardized--> <xsd:element name="fixedAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustablePaymentDate

  Type: | xsd:date, predefined, simple content

  A fixed amount payment date that shall be subject to adjustment in accordance with the applicable business day convention if it would otherwise fall on a day that is not a business day. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component. ISDA 2003 Term: Fixed Rate Payer Payment Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustablePaymentDate" type="xsd:date"/>

fixedAmount

  Type: | Money, complex content

  A fixed payment amount. ISDA 2003 Term: Fixed Amount
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedAmount" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.